apt 2.9.8 commandline package manager

Public Member Functions | List of all members
PackageIsNewInstall Class Reference
Inheritance diagram for PackageIsNewInstall:

## Public Member Functions
| PackageIsNewInstall (pkgCacheFile *const Cache)
bool | operator() (pkgCache::PkgIterator const &Pkg) APT_OVERRIDE
Public Member Functions inherited from PackageMatcher
bool | operator() (pkgCache::VerIterator const &Ver) APT_OVERRIDE
bool | operator() (pkgCache::GrpIterator const &) APT_OVERRIDE
Public Member Functions inherited from Matcher

## Member Function Documentation

## ◆ operator()()

APT_PURE bool operator() | ( | pkgCache::PkgIterator const & | Pkg | ) |
| virtual

Implements PackageMatcher.

The documentation for this class was generated from the following files:

- apt-pkg/cachefilter.h
- apt-pkg/cachefilter.cc